"use strict";
const useAutoRunPlugin = require("./plugins/useAutoRunPlugin");
const useCachePlugin = require("./plugins/useCachePlugin");
const useDebouncePlugin = require("./plugins/useDebouncePlugin");
const useLoadingDelayPlugin = require("./plugins/useLoadingDelayPlugin");
const usePollingPlugin = require("./plugins/usePollingPlugin");
const useRefreshOnWindowFocusPlugin = require("./plugins/useRefreshOnWindowFocusPlugin");
const useRetryPlugin = require("./plugins/useRetryPlugin");
const useThrottlePlugin = require("./plugins/useThrottlePlugin");
const useRequestImplement = require("./useRequestImplement");
function useRequest(service, options, plugins) {
  return useRequestImplement(service, options, [
    ...plugins || [],
    useDebouncePlugin,
    useLoadingDelayPlugin,
    usePollingPlugin,
    useRefreshOnWindowFocusPlugin,
    useThrottlePlugin,
    useAutoRunPlugin,
    useCachePlugin,
    useRetryPlugin
  ]);
}
module.exports = useRequest;
