"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const vue = require("vue");
const isBrowser = require("./isBrowser");
function getTargetElement(target, defaultElement) {
  if (!isBrowser) {
    return void 0;
  }
  if (!target) {
    return defaultElement;
  }
  let targetElement;
  if (typeof target === "function") {
    targetElement = target();
  } else if (vue.isRef(target)) {
    targetElement = target.value;
  } else {
    targetElement = target;
  }
  return targetElement;
}
exports.getTargetElement = getTargetElement;
